libzypp 17.37.10

RepoindexFileReader.cc File Reference

Implementation of repoindex.xml file reader. More...

`#include <iostream>`
`#include <unordered_map>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Gettext.h>`
`#include <utility>`
`#include <zypp-core/base/InputStream>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/Pathname.h>`
`#include <zypp/parser/xml/Reader.h>`
`#include <zypp-core/parser/ParseException>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/parser/RepoindexFileReader.h>`

Go to the source code of this file.

## Classes
class | zypp::parser::RepoindexFileReader::Impl
class | zypp::parser::Reader
| xmlTextReader based interface to iterate xml streams. More...
class | zypp::parser::XmlString
| xmlChar * wrapper. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "parser"

## Detailed Description

Implementation of repoindex.xml file reader.

Definition in file RepoindexFileReader.cc.

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "parser"

Definition at line 33 of file RepoindexFileReader.cc.